Bug 552654 - "ValueError: variable 'g_quarks' not found" exceptions raised by GObject gdb-archer pretty-printer
"ValueError: variable 'g_quarks' not found" exceptions raised by GObject gdb-...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-05 14:47 EST by Dave Malcolm
Modified: 2010-12-03 19:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 19:49:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2010-01-05 14:47:01 EST
Description of problem:
Attachment 381817 [details] to bug 552651 shows a backtrace of a PyGTK app.

This backtrace contains numerous python backtraces from gdb itself, from inside the GObject prettyprinter:

See e.g. frame #7 in that backtrace:
#7  0x0000003c6c4099b9 in panel_applet_control_bound (
    control=<value optimized out>, applet=Traceback (most recent call last):
  File "/usr/share/glib-2.0/gdb/gobject.py", line 72, in to_string
    name = g_type_name_from_instance (self.val)
  File "/usr/share/glib-2.0/gdb/gobject.py", line 59, in g_type_name_from_instance
    name = g_type_to_name (gtype)
  File "/usr/share/glib-2.0/gdb/gobject.py", line 26, in g_type_to_name
    return glib.g_quark_to_string (typenode["qname"])
  File "/usr/share/glib-2.0/gdb/glib.py", line 13, in g_quark_to_string
    val = read_global_var ("g_quarks")
  File "/usr/share/glib-2.0/gdb/glib.py", line 5, in read_global_var
    return gdb.selected_frame().read_var(symname)
ValueError: variable 'g_quarks' not found
) at panel-applet.c:1394
        ret = <value optimized out>
        __PRETTY_FUNCTION__ = "panel_applet_control_bound"



Version-Release number of selected component (if applicable):
(Luke Macken's machine; CCing him):
glib2-devel-2.22.3-2.fc12.x86_64
gdb-7.0-13.fc12.x86_64
python-2.6.2-2.fc12.x86_64

How reproducible:
Not sure, but I'm fairly sure I've seen this in other ABRT reports for other PyGTK apps.
Comment 1 Matthias Clasen 2010-01-05 23:09:13 EST
Alex, any idea ?
Comment 2 Alexander Larsson 2010-01-11 06:29:10 EST
Is the glib debuginfo installed?
The python code tries to look up the g_quarks global inside glib, but if debug symbols are missing i guess that may fail. We should make the python code handle the symbol lookup failing in a nicer way.
Comment 3 Matthias Clasen 2010-02-12 23:09:58 EST
Dave ?
Comment 4 Bug Zapper 2010-11-03 21:47:36 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-03 19:49:51 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.